# IBM Quantum Challenge 2021

[![License](https://img.shields.io/github/license/qiskit-community/ibm-quantum-challenge-2021.svg)](https://opensource.org/licenses/Apache-2.0)<!--- long-description-skip-begin -->![Last updated](https://img.shields.io/github/last-commit/qiskit-community/ibm-quantum-challenge-2021/main?label=Last%20updated&style=flat)

## Introduction

Commemorating the 40-year anniversary of the Physics of Computation conference, and 5-year anniversary of IBM putting the first quantum computer on the cloud, we're excited to present the IBM Quantum Challenge 2021.

Read more about the challenge in the [announcement blog](https://research.ibm.com/blog/quantum-challenge-2021) and find the [learning resources](https://medium.com/qiskit/ibm-quantum-challenge-2021-heres-what-to-expect-65a303753ffb) to prepare for the challenge.

## Challenge content

|                                             | English                      | Español                            | Français                           | हिन्दी                              | Bahasa Indonesia                   | 日本語                             | 한국어                             | Tiếng Việt                         |
|---------------------------------------------|------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
| Ex1: Toffoli gate (1980)                    | [ex1](content/ex1/ex1.ipynb) | [ex1-es](content/ex1/ex1-es.ipynb) | [ex1-fr](content/ex1/ex1-fr.ipynb) | [ex1-hi](content/ex1/ex1-hi.ipynb) | [ex1-id](content/ex1/ex1-id.ipynb) | [ex1-ja](content/ex1/ex1-ja.ipynb) | [ex1-ko](content/ex1/ex1-ko.ipynb) | [ex1-vi](content/ex1/ex1-vi.ipynb) |
| Ex2: Shor's algorithm (1994)                | [ex2](content/ex2/ex2.ipynb) | [ex2-es](content/ex2/ex2-es.ipynb) | [ex2-fr](content/ex2/ex2-fr.ipynb) | [ex2-hi](content/ex2/ex2-hi.ipynb) | [ex2-id](content/ex2/ex2-id.ipynb) | [ex2-ja](content/ex2/ex2-ja.ipynb) | [ex2-ko](content/ex2/ex2-ko.ipynb) | [ex2-vi](content/ex2/ex2-vi.ipynb) |
| Ex3: Quantum error correction (1995)        | [ex3](content/ex3/ex3.ipynb) | [ex3-es](content/ex3/ex3-es.ipynb) |                                    |                                    |                                    | [ex3-ja](content/ex3/ex3-ja.ipynb) | [ex3-ko](content/ex3/ex3-ko.ipynb) | [ex3-vi](content/ex3/ex3-vi.ipynb) |
| Ex4: Transmon qubits (2007)                 | [ex4](content/ex4/ex4.ipynb) | [ex4-es](content/ex4/ex4-es.ipynb) |                                    |                                    |                                    | [ex4-ja](content/ex4/ex4-ja.ipynb) | [ex4-ko](content/ex4/ex4-ko.ipynb) |                                    |
| Ex5: Variational quantum eigensolver (2014) | [ex5](content/ex5/ex5.ipynb) | [ex5-es](content/ex5/ex5-es.ipynb) |                                    | [ex5-hi](content/ex5/ex5-hi.ipynb) |                                    | [ex5-ja](content/ex5/ex5-ja.ipynb) | [ex5-ko](content/ex5/ex5-ko.ipynb) |                                    |

## Top scorers

Here's a list of 212 participants who have completed exercise 5 with the best solutions (3 CNOTs).

- Aakash Aakash
- Aakif Akhtar
- Abeer Vaishnav
- Abhijit Mitra
- Adarsh Chandrashekhar
- Adem Rahal
- Adhil Muhammed
- Adrien Suau
- Akshay Kale
- Akshay Mathad
- Akshay Pachbudhe
- Akshay Padte
- Alain Chance
- Alberto Maldonado
- Alessandro Genuardi
- Alexandra Godova
- Aman Ganeju
- Ameya Jain
- Amir Naveh
- Ana Nikolic
- Andras Czegel
- Andrea Ceschini
- Andres Damian Munoz Moller
- Annabel Kropf
- Anuranan  Das
- Anuranjan Sarkar
- Areeq Hasan
- Artem Zasypalov
- Arthi Udayakumar
- Ashish Arya
- Atithi Acharya
- Ayumu Shiraishi
- Bhargav Das
- Bhargav Das
- Billy Lim
- Bjorn Lofdahl
- Brian Shi
- Bryan Renard
- Carlo Cascio
- Chinglin Kao
- Christof Wendenius
- Clement Dupont
- Daniel Reilly
- Dario Petrillo
- David Schlegel
- David Spataro
- Davit Khachatryan
- Dhruv Gopalakrishnan
- Diego Quinones
- Diego Serrano
- Divyanshu Singh
- Doi Ken
- Eileen Kuehn
- Elena Pena Tapia
- Eliott Rosenberg
- Emilio Pelaez Cisneros
- Farida Shagieva
- Florencia Cuzmar Khayatte
- Florian Preis
- Franz Von Silva-Tarouca
- Freddie Samy
- George Umbrarescu
- George Zhou
- Gerardo Suarez
- Gireesh Kumar Neelakantaiah
- Grant Eberle
- Gunay Soni
- Hidetaka Manabe
- Hojun Lee
- Hyun Jin Kim
- Igor Tokarev
- Ijas A H
- Irham Arfakhsadz Putra
- Ishwor Khanal
- Jacob Cybulski
- Jakub Mrozek
- Jeremy First
- Jeroen Winkel
- Jessica Angel
- Joao Galego
- Joshua John
- Joshua Wang
- Juan Ignacio Cornet
- Kaito Asai
- Kamen Petroff
- Kanamori Yusuke
- Karan Khendry
- Kaveri Priya Putti
- Kavitha S S
- Kevin Mato
- Krishanu Podder
- Lakshmi Siri Appalaneni
- Lena Perennes
- Leonardo Placidi
- Liu Willy
- Lorenzo Saraiva
- Luciano Ivan Pereira Valenzuela
- Lukas Burgholzer
- Marcos Rubin
- Martins Kalis
- Maxime Dion
- Meghana Ayyala Somayajula
- Meghashrita Das
- Mehil Agarwal
- Michael Rollin
- Mitesh Adake
- Mohammed Aamir Qudsi
- Mohana Sravya Appalaneni
- Mohit Mittal
- Naman Jain
- Nilay Awasthi
- Nilesh Goel
- Nitin Nayak
- Oat Bahadur Dhakal
- Oskar Slowik
- Ovidiu Condrache
- Parmeet Singh Chani
- Parth Bhandari
- Parth Darekar
- Parth Shah
- Pascal Debus
- Pete Hendrickson
- Pham Minh
- Pinaki Sen
- Polina Levyant
- Prajjwal Vijaywargiya
- Pranav Mundada
- Prateek Jain
- Pritam Sinha
- Purushottam Sigdel
- Qi Ding
- Qiaoyi Lin
- Qingpeng Li
- Rafal Pracht
- Rahul Jaguste
- Raoul Heese
- Raphael Seidel
- Ravi Bansal
- Reem Abdel-Salam
- Ren Yu Zhang
- Renata Wong
- Ricardo Garcia
- Riccardo Pulcini
- Richard Ferstl
- Richard Li
- Rijul Sachdeva
- Riya Malani
- Rohan Bhatia
- Rohit Prasad
- Rupesh R K
- Saif Khan
- Samantha Lang
- Sanidhya Gupta
- Sanivarapu Sarath Chandra Reddy
- Sanjay Shukla
- Satyam Agarwal
- Saumya Goyal
- Sean Meng
- Sebastian Brandhofer
- Sergi Masot
- Sergio Andres Cotrino Sandoval
- Sergio Martinez-Losa Del Rincon
- Shahak Lahav
- Shashwat Shukla
- Shilpa Mahato
- Shivani Mayekar
- Shohei Takimoto
- Shota Nakasuji
- Shovit Bhari
- Shyh-Hao Kuo
- Si Er Han
- Siddhartha Morales
- Siyuan Niu
- Soya Saijo
- Stefan Hillmich
- Subhadeep Biswas
- Sudhindu Bikash Mandal
- Suryansh Aryan
- Tai Yue Li
- Takashi Mitani
- Takehiko Amano
- Taku Furu
- Tanya Garg
- Tharrmashastha Sapv
- Thong Le
- Tobias Lachermeier
- Tristan Nemoz
- Truyen Le Duc
- Tsung-Wei Huang
- Tzu-Chieh Wei
- Ursula Maria Mayer
- Ushan Fernando
- Utkarsh Azad
- Utkarsh Singh
- Valerio Bitetta
- Varsha Nair
- Victor Rollano
- Viduranga Landers
- Vipul Jain
- Vishal Bajpe
- Vladimir Zaytsev
- Wei-Bin Ewe
- Wei-Bin Ewe
- Wei-Chen Chien
- Xiaopeng Duan
- Yi Xiong Chen
- Yien Wu
- Yu-Chao Hsu
- Yuya Kawamata
- Zhixin Song
- Zhiyong Zhang
- Zoltan Andras Udvarnoki

## [Guidelines for participation](guidelines-for-participation.md)

## [FAQ](faq.md)

## [Hints for solving challenge exercises](hints.md)
